This service will be undergoing maintenance at 20:00 UTC, 2017-04-03. It is expected to last about 30 minutes
Bug 109476 - windows XP cannot manage printer (bad resource on /printers/<printer name>)
windows XP cannot manage printer (bad resource on /printers/<printer name>)
Status: CLOSED CANTFIX
Product: Red Hat Linux
Classification: Retired
Component: cups (Show other bugs)
8.0
i586 Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-11-08 05:02 EST by Marc Rechte
Modified: 2007-04-18 12:59 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-18 12:12:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marc Rechte 2003-11-08 05:02:52 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; fr-FR; rv:1.5)
Gecko/20031007

Description of problem:
When trying to manage the CUPS printer, defined as IPP, from the
Windows XP printer (like pausing the printer) the status bar shows
access denied and the error_log shows: " stop_printer: admin request
on bad resource '/printers/HP1200PS' ". Another strange thing is that
the print job remains in the queue for a while although the job has
already been printed. However printing works fine.

Version-Release number of selected component (if applicable):
1.1.17-0.9

How reproducible:
Always

Steps to Reproduce:
1. CUPS printer is defined, test page is OK
2. One can manage the printers from http: on port 631 from the XP
workstation
3. Add the http printer in Windows XP giving its URL
4. Open the printer and try to "pause printing": Access denied is shown.
    

Additional info:
Comment 1 Tim Waugh 2003-11-10 04:54:35 EST
Did you modify /etc/cups/cupsd.conf to allow remote administration? 
By default remote administration is not permitted.
Comment 2 Marc Rechte 2003-11-10 05:07:25 EST
This is an abstract of the cupsd.conf regarding administration. I
don't know whether it can help: (i) on a Mandrake 7.3, on the same
hardware, it was working fine (ii) from the same Win client, I can
administer the Printer from a Web browser.

Thanks for your time.
Marc.

<Location /admin>
AuthType Basic
AuthClass User

Order Deny,Allow
Deny From All
Allow From 127.0.0.1
Allow From @IF(eth0)

</Location>
Comment 3 Bill Nottingham 2006-08-07 14:49:40 EDT
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Red Hat apologizes that these issues have not been resolved yet. We do
want to make sure that no important bugs slip through the cracks.
Please check if this issue is still present in a current Fedora Core
release. If so, please change the product and version to match, and
check the box indicating that the requested information has been
provided. Note that any bug still open against Red Hat Linux on will be
closed as 'CANTFIX' on September 30, 2006. Thanks again for your help.
Comment 4 Bill Nottingham 2006-10-18 12:12:46 EDT
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Closing as CANTFIX.

Note You need to log in before you can comment on or make changes to this bug.